Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rs
Interface RegistryResponseType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RegistryResponseTypeImpl

    public interface RegistryResponseType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Response Type'.

The following features are supported:

- `Adhoc Query Response`
- `Get Content Response`
- `Registry Error List`
- `Status`

See Also:
  `RegistryPackage.getRegistryResponseType()`

Method Summary
`AdhocQueryResponseType` | `getAdhocQueryResponse()` Returns the value of the 'Adhoc Query Response' containment reference.
`GetContentResponseType` | `getGetContentResponse()` Returns the value of the 'Get Content Response' containment reference.
`RegistryErrorListType` | `getRegistryErrorList()` Returns the value of the 'Registry Error List' containment reference.
`StatusType` | `getStatus()` Returns the value of the 'Status' attribute.
`boolean` | `isSetStatus()` Returns whether the value of the '`Status`' attribute is set.
`void` | `setAdhocQueryResponse(AdhocQueryResponseType value)` Sets the value of the '`Adhoc Query Response`' containment reference.
`void` | `setGetContentResponse(GetContentResponseType value)` Sets the value of the '`Get Content Response`' containment reference.
`void` | `setRegistryErrorList(RegistryErrorListType value)` Sets the value of the '`Registry Error List`' containment reference.
`void` | `setStatus(StatusType value)` Sets the value of the '`Status`' attribute.
`void` | `unsetStatus()` Unsets the value of the '`Status`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAdhocQueryResponse

    AdhocQueryResponseType getAdhocQueryResponse()

  Returns the value of the 'Adhoc Query Response' containment reference.

  If the meaning of the 'Adhoc Query Response' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Adhoc Query Response' containment reference.
  See Also:
    `setAdhocQueryResponse(AdhocQueryResponseType)`, `RegistryPackage.getRegistryResponseType_AdhocQueryResponse()`

### setAdhocQueryResponse

    void setAdhocQueryResponse(AdhocQueryResponseType value)

  Sets the value of the '`Adhoc Query Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Adhoc Query Response' containment reference.
  See Also:
    `getAdhocQueryResponse()`

### getGetContentResponse

    GetContentResponseType getGetContentResponse()

  Returns the value of the 'Get Content Response' containment reference.

  If the meaning of the 'Get Content Response' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Get Content Response' containment reference.
  See Also:
    `setGetContentResponse(GetContentResponseType)`, `RegistryPackage.getRegistryResponseType_GetContentResponse()`

### setGetContentResponse

    void setGetContentResponse(GetContentResponseType value)

  Sets the value of the '`Get Content Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Get Content Response' containment reference.
  See Also:
    `getGetContentResponse()`

### getRegistryErrorList

    RegistryErrorListType getRegistryErrorList()

  Returns the value of the 'Registry Error List' containment reference.

  If the meaning of the 'Registry Error List' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Error List' containment reference.
  See Also:
    `setRegistryErrorList(RegistryErrorListType)`, `RegistryPackage.getRegistryResponseType_RegistryErrorList()`

### setRegistryErrorList

    void setRegistryErrorList(RegistryErrorListType value)

  Sets the value of the '`Registry Error List`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Error List' containment reference.
  See Also:
    `getRegistryErrorList()`

### getStatus

    StatusType getStatus()

  Returns the value of the 'Status' attribute. The default value is `"Success"`. The literals are from the enumeration `StatusType`.

  If the meaning of the 'Status' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Status' attribute.
  See Also:
    `StatusType`, `isSetStatus()`, `unsetStatus()`, `setStatus(StatusType)`, `RegistryPackage.getRegistryResponseType_Status()`

### setStatus

    void setStatus(StatusType value)

  Sets the value of the '`Status`' attribute.

  Parameters:
    `value` - the new value of the 'Status' attribute.
  See Also:
    `StatusType`, `isSetStatus()`, `unsetStatus()`, `getStatus()`

### unsetStatus

    void unsetStatus()

  Unsets the value of the '`Status`' attribute.

  See Also:
    `isSetStatus()`, `getStatus()`, `setStatus(StatusType)`

### isSetStatus

    boolean isSetStatus()

  Returns whether the value of the '`Status`' attribute is set.

  Returns:
    whether the value of the 'Status' attribute is set.
  See Also:
    `unsetStatus()`, `getStatus()`, `setStatus(StatusType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD